Skip to main content
GET
/
api
/
healing
/
{job_id}
Get Healing Job
curl --request GET \
  --url https://api.example.com/api/healing/{job_id} \
  --header 'Authorization: Bearer <token>'
{
  "id": "<string>",
  "dataset_id": "<string>",
  "status": "<string>",
  "progress": 123,
  "fix_mislabeled": true,
  "remove_outliers": true,
  "remove_poisoned": true,
  "remove_off_topics": true,
  "remove_injection": true,
  "remove_sensitive_information": true,
  "anonymize_sensitive_information": true,
  "created_at": "<string>",
  "message": "<string>",
  "off_topic_score_min": 0,
  "off_topic_score_max": 100,
  "output_filename": "<string>",
  "manifest": {},
  "started_at": "<string>",
  "finished_at": "<string>",
  "duration_seconds": 123,
  "target": "download",
  "activated": false,
  "created_branch_id": "<string>",
  "created_branch_name": "<string>"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

X-API-Key
string | null

Path Parameters

job_id
string
required

Cookies

antidote_session
string | null

Response

Successful Response

id
string
required
dataset_id
string
required
status
string
required
progress
integer
required
fix_mislabeled
boolean
required
remove_outliers
boolean
required
remove_poisoned
boolean
required
remove_off_topics
boolean
required
remove_injection
boolean
required
remove_sensitive_information
boolean
required
anonymize_sensitive_information
boolean
required
created_at
string
required
message
string | null
off_topic_score_min
integer
default:0
off_topic_score_max
integer
default:100
output_filename
string | null
manifest
Manifest · object
started_at
string | null
finished_at
string | null
duration_seconds
number | null
target
enum<string>
default:download
Available options:
download,
dataset
activated
boolean
default:false
created_branch_id
string | null
created_branch_name
string | null